Subject: bug#26650: 26.0.50; Protect *Backtrace* from accidental killing

From: [email-masked]
Date: Tue, 25 Apr 2017 08:13:07 -0400

severity 26650 minor
quit

Tino Calancha <[email-masked]> writes:

> (error "hi") ; This time kill *Backtrace*
> C-x k RET
>
> ;; Eval it once more:
> (error "hi")
> ;; 'hi' is printed in echo area, but *Backtrace* is not shown.

That's because you're still in the recursive edit, it's like evaluating
'(error "hi")' before hitting 'q' in the *Backtrace* buffer.  You can
use C-M-c (exit-recursive-edit) to get back to normal.  I think it would
make sense to do that automatically if you kill the *Backtrace* buffer.